CVE-2006-1546
CVSS7.5
发布时间 :2006-03-30 17:02:00
修订时间 :2011-03-07 21:33:17
NMCOS    

[原文]Apache Software Foundation (ASF) Struts before 1.2.9 allows remote attackers to bypass validation via a request with a 'org.apache.struts.taglib.html.Constants.CANCEL' parameter, which causes the action to be canceled but would not be detected from applications that do not use the isCancelled check.


[CNNVD]Apache Software Foundation (ASF) Struts 'org.apache.struts.taglib.html.Constants.CANCEL' 参数安全绕过漏洞(CNNVD-200603-500)

        Apache Software Foundation (ASF) Struts 1.2.9之前版本可让远程攻击者通过以下途径绕过身份验证程序:用一条带'org.apache.struts.taglib.html.Constants.CANCEL' 参数的请求,从而引起操作被取消,但不会被未使用isCancelled检查的应用程序检测到。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1546
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1546
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-500
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1205
(UNKNOWN)  VUPEN  ADV-2006-1205
http://struts.apache.org/struts-doc-1.2.9/userGuide/release-notes.html
(UNKNOWN)  CONFIRM  http://struts.apache.org/struts-doc-1.2.9/userGuide/release-notes.html
http://mail-archives.apache.org/mod_mbox/struts-user/200601.mbox/%3c20060121221800.15814.qmail@web32607.mail.mud.yahoo.com%3e
(UNKNOWN)  MLIST  [struts-user] 20060121 Validation Security Hole?
http://mail-archives.apache.org/mod_mbox/struts-dev/200601.mbox/%3cdr169r$623$2@sea.gmane.org%3e
(UNKNOWN)  MLIST  [struts-devel] 20060122 Re: Validation Security Hole?
http://issues.apache.org/bugzilla/show_bug.cgi?id=38374
(UNKNOWN)  CONFIRM  http://issues.apache.org/bugzilla/show_bug.cgi?id=38374
http://xforce.iss.net/xforce/xfdb/25612
(UNKNOWN)  XF  struts-iscancelled-security-bypass(25612)
http://www.securityfocus.com/bid/17342
(UNKNOWN)  BID  17342
http://securitytracker.com/id?1015856
(UNKNOWN)  SECTRACK  1015856
http://secunia.com/advisories/20117
(UNKNOWN)  SECUNIA  20117
http://secunia.com/advisories/19493
(UNKNOWN)  SECUNIA  19493
http://lists.suse.com/archive/suse-security-announce/2006-May/0004.html
(UNKNOWN)  SUSE  SUSE-SR:2006:010

- 漏洞信息

Apache Software Foundation (ASF) Struts 'org.apache.struts.taglib.html.Constants.CANCEL' 参数安全绕过漏洞
高危 资料不足
2006-03-30 00:00:00 2006-03-31 00:00:00
远程  
        Apache Software Foundation (ASF) Struts 1.2.9之前版本可让远程攻击者通过以下途径绕过身份验证程序:用一条带'org.apache.struts.taglib.html.Constants.CANCEL' 参数的请求,从而引起操作被取消,但不会被未使用isCancelled检查的应用程序检测到。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Apache Software Foundation Struts 1.1
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        Apache Software Foundation Struts 1.1
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        Apache Software Foundation Struts 1.2.7
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        Apache Software Foundation Struts 1.2.8
        Apache Software Foundation struts-1.2.9-src.tar.gz
        http://apache.mirrors.northco.net/struts/source/struts-1.2.9-src.tar.g z
        

- 漏洞信息

24363
Apache Struts org.apache.struts.taglib.html.Constants.CANCEL Validation Bypass
Remote / Network Access
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-01-21 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.2.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apache Struts Multiple Remote Vulnerabilities
Unknown 17342
Yes No
2006-03-31 12:00:00 2006-05-15 10:09:00
Paul Benedict, Bogdan Serban, and Tommy Wareing reported these issue to the vendor.

- 受影响的程序版本

S.u.S.E. Linux Professional 10.0 OSS
S.u.S.E. Linux Professional 9.3 x86_64
S.u.S.E. Linux Professional 9.3
S.u.S.E. Linux Personal 10.0 OSS
S.u.S.E. Linux Personal 9.3 x86_64
S.u.S.E. Linux Personal 9.3
Apache Software Foundation Struts 1.2.8
Apache Software Foundation Struts 1.2.7
+ RedHat Application Server AS 3
+ RedHat Application Server ES 3
+ RedHat Application Server WS 3
Apache Software Foundation Struts 1.1
Apache Software Foundation Struts 1.1
Apache Software Foundation Struts 1.2.9

- 不受影响的程序版本

Apache Software Foundation Struts 1.2.9

- 漏洞讨论


Apache Struts is susceptible to multiple remote vulnerabilities.

The following issues were identified:

- A cross-site scripting vulnerability. An attacker may leverage this issue to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

- A denial-of-service vulnerability. An attacker may leverage this issue to crash an affected web application, denying further service to legitimate users.

- A validation-bypass vulnerability. An attacker may leverage this issue to bypass validation and authentication checks in a web application. The exact consequences of this issue depend on the nature of the targeted application.

Apache Struts versions prior to 1.2.9 are affected by these issues.

- 漏洞利用

This issue can be exploited through a web client.

- 解决方案


The vendor has released Struts version 1.2.9 to address these issues.

Please see the references for vendor advisories and fixes.


Apache Software Foundation Struts 1.1

Apache Software Foundation Struts 1.1

Apache Software Foundation Struts 1.2.7

Apache Software Foundation Struts 1.2.8

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站